<script lang="ts">
  export let data = {
    image: '',
    url: '',
  };
</script>

<div class="card">
  <div>
    <img src={'src/lib/images/nft/creators/' + data.image} />
  </div>
  <div>
    <span>Name of Creator</span>
    <span>99 ETH</span>
  </div>
</div>

<style lang="postcss">
  .card {
    display: flex;
    width: 200px;
    flex-wrap: wrap;
    align-items: center;
    padding: 5px 10px;
    border: 1px solid gray;
    border-radius: var(--radius-3);

    & > div:first-child {
      width: 20%;
    }

    & > div:nth-child(2) {
      margin-inline: 8px;
    }
  }

  img {
    /* width: 25%; */

    /* height: 50%; */
  }

  span {
    display: block;
  }
</style>
